<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KDialogButtonBox</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KDialogButtonBox Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdialogbuttonbox.html">QDialogButtonBox</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>Container widget for buttons.
</p>
<p>
An extension of QDialogButtonBox which allow the use of KGuiItem and
conveniance slot connection.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Mario Weilguni &lt;mweilguni@sime.com&gt; </dd></dl>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Olivier Goffart &lt;ogoffart@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196935852">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.Orientation</a> _orientation=Qt.Horizontal)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpushbutton.html">QPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196937004">addButton</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, QDialogButtonBox.ButtonRole role, SIP_RXOBJ_CON a0=, SIP_SLOT_CON () a1=)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196937612">addButton</a> (self, <a href="../kdeui/KGuiItem.html">KGuiItem</a> guiitem, QDialogButtonBox.ButtonRole role, SIP_RXOBJ_CON a0=, SIP_SLOT_CON () a1=)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj196935852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.Orientation</a>&nbsp;</td>
<td class="paramname"><em>_orientation=Qt.Horizontal</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create an empty container for buttons.
</p>
<p>
If <b>_orientation</b> is <b>Vertical,</b> the buttons inserted with
addButton() are laid out from top to bottom, otherwise they
are laid out from left to right.
</p></div></div><a class="anchor" name="obj196937004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpushbutton.html">QPushButton</a> addButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">QDialogButtonBox.ButtonRole&nbsp;</td>
<td class="paramname"><em>role</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">SIP_RXOBJ_CON&nbsp;</td>
<td class="paramname"><em>a0=</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">SIP_SLOT_CON ()&nbsp;</td>
<td class="paramname"><em>a1=</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a push button with the given text, adds it to the button box for the specified role, and returns the corresponding push button.
If role is invalid, no button is created, and zero is returned.
</p>
<p>
The clicked signal of the button is automatically connected to the slot
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> the text of the button to add.

<tr><td></td><td valign="top"><em>role</em>&nbsp;</td><td> the button role

<tr><td></td><td valign="top"><em>receiver</em>&nbsp;</td><td> An object to connect to.

<tr><td></td><td valign="top"><em>slot</em>&nbsp;</td><td> A Qt slot to connect the 'clicked()' signal to.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A pointer to the new button.
</dd></dl>
</p></div></div><a class="anchor" name="obj196937612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> addButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KGuiItem.html">KGuiItem</a>&nbsp;</td>
<td class="paramname"><em>guiitem</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">QDialogButtonBox.ButtonRole&nbsp;</td>
<td class="paramname"><em>role</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">SIP_RXOBJ_CON&nbsp;</td>
<td class="paramname"><em>a0=</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">SIP_SLOT_CON ()&nbsp;</td>
<td class="paramname"><em>a1=</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a push button with the given KUiItem, adds it to the button box for the specified role, and returns the corresponding push button.
If role is invalid, the button is created, but not added.
</p>
<p>
The clicked signal of the button is automatically connected to the slot
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>guiitem</em>&nbsp;</td><td> text and icon on the button

<tr><td></td><td valign="top"><em>role</em>&nbsp;</td><td> the button role

<tr><td></td><td valign="top"><em>receiver</em>&nbsp;</td><td> An object to connect to.

<tr><td></td><td valign="top"><em>slot</em>&nbsp;</td><td> A Qt slot to connect the 'clicked()' signal to.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A pointer to the new button.
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
